%define	name	ia32-libs
%define version 2017
%define release %mkrel 2

%define dont_strip 1 

Summary:	Basic ia32 libs for PCLinuxOS
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.xz
Source1:	ia32.conf
Source2:    mesa-drivers.tar.gz
URL:		http://www.pclinuxos
Obsoletes:      %name < %version
BuildRoot: 	%_tmppath/%name-%version
Provides: libSM.so.6
Provides: libICE.so.6
Provides: libX11.so.6
Provides: libXau.so.6
Provides: libXdmcp.so.6
Provides: libXext.so.6
Provides: libXi.so.6
Provides: libXrandr.so.2
Provides: libXrender.so.1
Provides: libXss.so.1
Provides: libXv.so.1
Provides: libasound.so.2
Provides: libfontconfig.so.1
Provides: libfreetype.so.6
Provides: libglib-2.0.so.0
Provides: libgthread-2.0.so.0
Provides: libpcre.so.0
Provides: libxcb.so.1
Provides: libxml2.so.2
Provides: libcurl.so.4
Provides: libcrypto.so.1.0.0
Provides: libgssapi_krb5.so.2
Provides: libidn.so.11
Provides: liblber-2.4.so.2
Provides: libldap-2.4.so.2
Provides: librtmp.so.0
Provides: libssh2.so.1
Provides: libssl.so.1.0.0
Provides: libcom_err.so.2
Provides: libk5crypto.so.3
Provides: libkeyutils.so.1
Provides: libkrb5.so.3
Provides: libkrb5support.so.0
Provides: libsasl2.so.2
Provides: libXdamage.so.1
Provides: libXfixes.so.3
Provides: libXtst.so.6
Provides: libXxf86vm.so.1
Provides: liblcms.so.1
Provides: libcups.so.2
Provides: libnss_mdns.so.2
Provides: libpng12.so
Provides: libpng.so
Provides: libavahi-common.so.3
Provides: libavahi-client.so.3
Provides: libdbus-1.so.3
Provides: libXmu.so.6
Provides: libXt.so.6
Provides: libpciaccess.so.0
Provides: libGL.so.1
Provides: libGLU.so.1
Provides: libgmodule-2.0.so.0
Provides: libgobject-2.0.so.0
Provides: libgphoto2_port.so.0
Provides: libgphoto2.so.2
Provides: libgstapp-0.10.so.0
Provides: libgstbase-0.10.so.0
Provides: libgstreamer-0.10.so.0
Provides: libldap_r-2.4.so.2
Provides: libmpg123.so.0
Provides: libopenal.so.1
Provides: libexif.so.12
Provides: libffi.so.5
Provides: libltdl.so.7
Provides: libncurses.so.5
Provides: libX11-xcb.so.1
Provides: libxcb-dri2.so.0
Provides: libxcb-glx.so.0
Provides: libQtCore.so.4
Provides: libQtDBus.so.4
Provides: libQtGui.so.4
Provides: libQtNetwork.so.4
Provides: libQtWebKit.so.4
Provides: libQtXml.so.4
Provides: libEGL.so.1
Provides: libXinerama.so.1
Provides: libgio-2.0.so.0
Provides: libgstinterfaces-0.10.so.0
Provides: libgstpbutils-0.10.so.0
Provides: libgstvideo-0.10.so.0
Provides: libpng12.so.0
Provides: libsqlite3.so.0
Provides: libudev.so.0
Provides: libxcb-xfixes.so.0
Provides: libgmodule-2.0.so.0
Provides: libpulse-mainloop-glib.so.0
Provides: libpulse-simple.so.0
Provides: libpulse.so.0
Provides: libpulsecommon-4.0.so
Provides: libpulsedsp.so
Provides: libwrap.so.0
Provides: libasyncns.so.0
Provides: libcap.so.2
Provides: libjson.so.0
Provides: libsndfile.so.1
Provides: libvorbis.so.0
Provides: libFLAC.so.8
Provides: libogg.so.0
Provides: libvorbisenc.so.2
Provides: libusb-0.1.so.4
Provides: libusb-1.0.so.0
Provides: liblcms2.so.2
Provides: libgettextpo.so.0
Provides: libintl.so.8
Provides: libunistring.so.0
Provides: libxcb-dri3.so.0
Provides: libxcb-present.so.0
Provides: libxcb-sync.so.0
Provides: libxshmfence.so.1
Provides: libwayland-server.so.0
Provides: libwayland-client.so.0
Provides: libharfbuzz.so.0
Provides: libgbm.so.1
Provides: libbz2.so.1
Provides: libgraphite2.so.3
Provides: libgphoto2.so.6
Provides: libgphoto2_port.so.10
Provides: libjpeg.so.62
Provides: libpcap.so.1
Provides: libnl.so.1
Provides: libgstaudio-1.0.so.0
Provides: libgstreamer-1.0.so.0
Provides: libgstvideo-1.0.so.0
Provides: libOpenCL.so.1
Provides: libgstbase-1.0.so.0
Provides: libgsttag-1.0.so.0
Provides: libexpat.so.1
Provides: libncurses++.so.5
Provides: libncurses.so.5
Provides: libtinfo.so.5
Provides: libGLESv1_CM.so.1
Provides: libGLESv2.so.2
Provides: libLLVM-3.7.so
Provides: libOSMesa.so.8
Provides: libdrm.so.2 
Provides: libdrm_amdgpu.so.1
Provides: libdrm_intel.so.1
Provides: libdrm_nouveau.so.1
Provides: libdrm_radeon.so.1
Provides: libedit.so.0
Provides: libelf.so.1
Provides: libform.so.5
Provides: libgbm.so.1
Provides: libglapi.so.0
Provides: libgmp.so.10
Provides: libhogweed.so.2
Provides: libkms.so.1
Provides: libmenu.so.5
Provides: libnettle.so.4
Provides: libpanel.so.5
Provides: libtic.so.5
Provides: libwayland-egl.so.1
Provides: libxatracker.so.2
Provides: libvdpau_nouveau.so.1
Provides: libvdpau_r300.so.1
Provides: libvdpau_r600.so.1
Provides: libvdpau_radeonsi.so.1
Provides: d3dadapter9.so.1
Provides: gallium_drv_video.so
Provides: i915_dri.so i965_dri.so
Provides: kms_swrast_dri.so
Provides: nouveau_dri.so
Provides: nouveau_vieux_dri.so
Provides: r200_dri.so r300_dri.so
Provides: r600_dri.so radeon_dri.so
Provides: radeonsi_dri.so
Provides: swrast_dri.so
Provides: vmwgfx_dri.so

%description
This package provides some basic 32bit libraries
primarly for running Skype.


%prep
export 
%setup -q -n libs32


%install
rm -rf %buildroot
export DONT_STRIP=1

mkdir -p %buildroot/opt/libs32
cp * %buildroot/opt/libs32

mkdir -p %buildroot/etc/ld.so.conf.d
install -m 0644 %SOURCE1 %buildroot/etc/ld.so.conf.d

tar -zxvf %SOURCE2 -C %buildroot

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
/opt/libs32
/etc/ld.so.conf.d
/usr/lib

%changelog
* Tue Jun 27 2017 bb2 <bb1> - 2017-2pclos2017
- try to add mesa 32bit opengl drivers to the
- package so fucking agent smith will stop
- his bitchass whining

* Sun May 28 2017 bb2 <bb2> - 2017-1pclos2017
- update for wine 2.8

* Sat Jan 23 2016 bb <bb> 2016-1pclos2016
- update for wine 1.8

